# Attribute Event List

## Get list of event attributes

> Retrieve the list of available event attributes for the account

```json
{"openapi":"3.0.0","info":{"title":"Gleantap External API","version":"1.0.0"},"tags":[{"name":"Attributes","description":"Attributes"}],"servers":[{"url":"https://api.gleantap.com","description":"Production server"}],"paths":{"/v2/ExternalApi/getAttributeEventList":{"post":{"tags":["Attributes"],"summary":"Get list of event attributes","description":"Retrieve the list of available event attributes for the account","operationId":"759c86a42beed17d90d9918ec057b77b","parameters":[{"name":"X-API-KEY","in":"header","description":"Your API key","required":true,"schema":{"type":"string"}},{"name":"X-SECRET-KEY","in":"header","description":"Your Secret key","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"required":["app_id"],"properties":{"app_id":{"type":"string"}},"type":"object"}}}},"responses":{"200":{"description":"List of event attributes retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"key":{"type":"string"},"label":{"type":"string"}},"type":"object"}}}}},"401":{"description":"Invalid API key or secret key"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.gleantap.com/fetch-data/attribute-event-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
